const TelegramBot = require('node-telegram-bot-api');

const token = process.env.BOTTOKEN;

const bot = new TelegramBot(token, { polling: true });

bot.on('message', (msg) => {

    var hi = "hi";
    if (msg.text.toString().toLowerCase().indexOf(hi) === 0) {
        bot.sendMessage(msg.chat.id, "Hello " + msg.from.first_name + " Please type /start");
    }

    var bye = "bye";
    if (msg.text.toString().toLowerCase().includes(bye)) {
        bot.sendMessage(msg.chat.id, "Hope to see you around again , Bye");
    }

    var subPrice = "subscription prices";
    if (msg.text.toString().toLowerCase().includes(subPrice)) {
        bot.sendMessage(msg.chat.id, "PREMIUM PLUS ----£30\nVIP-----------------------£25\nOLD PREMIUM -----£17\nBLUEMOON ---------£15\nKDB --------------------£14\nGOLD ------------------£13\nTECHNOID -----------£13\nBRONZE --------------£10\nSOL ---------------------£10")
            .then(() => {
                return bot.sendMessage(msg.chat.id, "All of these prices are for 12 Month subscription subs").then(() => {
                    return bot.sendMessage(msg.chat.id, "Keep an eye out though because we offer special deals on different subs from time to time.")
                })
            })
    }

    const howToSignUp = "how to get a subscription?";
    if (msg.text.toString().toLowerCase().includes(howToSignUp)) {
        bot.sendMessage(msg.chat.id, "To purchase a subscription you need to send a DM to any of the Admins in the group @Scotslad, @manclad72 or @bob_15.")
            .then(() => {
                return bot.sendMessage(msg.chat.id, "PLEASE ONLY DM ONE ADMIN AND WAIT FOR THEM TO GET BACK TO YOU.").then(() => {
                    return bot.sendMessage(msg.chat.id, "When you DM to purchase the subscription please let the Admin know:\n\n1. what device the sub is going onto\n2. If there's a specific username you would like and\n3. If you don't want adult channels included. If you don't want adult channels and don't mention it when purchasing Your sub WILL be issued WITH adult channels. These can't be removed")
                })
            })
    }

    var suburls = "subscription urls";
    if (msg.text.toString().toLowerCase().includes(suburls)) {
        bot.sendMessage(msg.chat.id, "In this IPTV room we don't give out sub URLs or m3us. We have dedicated apps to play all subs on your Android box or IPTV player in our FileLinked.");
    }

}),
    bot.onText(/^(\/start|Home)$/, (msg) => {

        bot.sendMessage(msg.chat.id, "Please use the buttons below to navigate", {
            "reply_markup": {
                "keyboard": [["FAQ", "Applications"]]
            }
        })

    })


bot.onText(/FAQ/, (msg) => {
    bot.sendMessage(msg.chat.id, "Frequently Asked Questions")
        .then(() => {
            return bot.sendMessage(msg.chat.id, "Please only ask an Admin, if you can't find the answer here..", {
                "reply_markup": {
                    "keyboard": [["Subscriptions", "IPTV"], ["Home"]]
                }
            })
        })
})


bot.onText(/^Subscriptions$/, (msg) => {
    bot.sendMessage(msg.chat.id, "Please only ask an Admin, if you can't find the answer here..", {
        "reply_markup": {
            "keyboard": [["Subscription Prices"],
            ["How to get a subscription?"],
            ["Subscription URLs", "Can I stream on multiple devices?"],
            ["Updates Group"],
            ["Install FileLinked on FireStick", "Install FileLinked on Android"],
            ["Home"]]
        }
    })
})
